Subject: Re: bug#13306: clarification

From: Mark Lillibridge <[email-masked]>
Date: Sat, 29 Dec 2012 22:23:06 -0800

Eli Zaretskii <[email-masked]> writes:

>  > From: Mark Lillibridge <[email-masked]>
>  > Date: Sat, 29 Dec 2012 15:02:36 -0800
>  > 
>  > 
>  >     In case it wasn't clear from the last message, occurs does not work
>  > sanely with Rmail buffers currently even in version 24.2.  It takes you
>  > to the occurrence point but there is no way to narrow the buffer so you
>  > can do things like forward the found message.
>  > 
>  >     Perhaps a way to narrow a widened Rmail buffer around point would be
>  > a useful independent function.  I'm wondering if such a function called
>  > from the right occurs mode hook (assuming it exists) would suffice to
>  > provide the functionality I'm asking for here.
>  > 
>  > - Mark
>  > PS, note that both grep and the proposed occurs search the raw mbox file
>  > not the results of decoding the messages; if someone wanted to go for
>  > extra awesomeness, they might try and make an special Rmail search
>  > command that produces an occurs buffer but only searches the decoded
>  > messages (e.g., ignore nontext parts, work on base 64/printable
>  > representations correctly).  This would be substantially slower, but
>  > would avoid a lot of false positives.
>  
>  Mairix solves all this, since the results of the search are
>  _messages_, not just lines of text, and these results are presented to
>  Rmail that decodes and displays them as usual.  Try it.

    I already use Mairix; I want to use occurs on its results in order
to see the results in context.  Presumably someone else agrees since
they implemented this functionality for the result of grep.  Also, I
don't know a easy way to restrict Mairix's search to one Rmail file.

- Mark